From 1c55802a8109314075a60f490f22792bb2c33cfa Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 17 2020 16:02:05 +0000
Subject: [PATCH 1434/2232] Add makefile to build svg diagrams using asciitosvg


---

diff --git a/book/diagram/.gitignore b/book/diagram/.gitignore
new file mode 100644
index 0000000..81631c6
--- /dev/null
+++ b/book/diagram/.gitignore
@@ -0,0 +1,2 @@
+/bin
+/build
diff --git a/book/diagram/Makefile b/book/diagram/Makefile
new file mode 100644
index 0000000..956d7e0
--- /dev/null
+++ b/book/diagram/Makefile
@@ -0,0 +1,19 @@
+all:
+
+bin/asciitosvg:
+	rm -rf build
+	mkdir -p bin build/src/github.com/asciitosvg/asciitosvg
+	cd build/src/github.com/asciitosvg/asciitosvg && \
+		git init && \
+	    git remote add asciitosvg https://github.com/asciitosvg/asciitosvg && \
+		git fetch asciitosvg refs/pull/23/head && \
+		git checkout --quiet 29f2ed76b60231da99ac1d4bca26e8ff93125a2e
+	GOPATH=${CURDIR}/build go build -o $@ ./build/src/github.com/asciitosvg/asciitosvg/cmd/a2s
+
+%.svg: %.ascii bin/asciitosvg
+	bin/asciitosvg -i $< -o $@ -b
+
+clean:
+	rm -f *.svg
+
+.PHONY: all clean

